curl --request GET \
--url https://api-sandbox.argyle.com/v2/items \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/v2/items"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/v2/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api-sandbox.argyle.com/v2/items?cursor=ZXhhbXBsZV9jdXJzb3I",
"previous": null,
"results": [
{
"id": "item_000000002",
"name": "Bullseye",
"kind": "employer",
"known_limitations": null,
"status": "unavailable",
"status_details": "The Item is down due to scheduled maintenance but should be back shortly.",
"mapping_status": "verified",
"logo_url": "argyle.com/image-holdings",
"is_grouping": false,
"matching_score": "1.00"
},
{
"id": "item_000000003",
"name": "Triple",
"kind": "platform",
"known_limitations": null,
"status": "healthy",
"status_details": null,
"mapping_status": "mapped",
"logo_url": "argyle.com/image-holdings",
"is_grouping": false,
"matching_score": "0.63"
}
]
}Matching Score
Retrieve Items that match a given search and the confidence score.
- Combines List Items and the
qquery parameter. - Searches through all Items in Argyle’s Coverage.
- Returns an array of relevant Item objects that contain a
matching_scorefor the{search term}.
Definition
matching_score(string): Confidence score based on the degree of similarity between the Item and the search term. Ranges from"1.00"(strong match) to"0.01"(weak match).
Query parameters
Can be combined with other query parameters available when listing Items.q(string, required): Free-text search filter.min_matching_score(integer, optional): Only return Items with amatching_scoregreater than or equal to this value.
q, full names of employers or payroll platforms return the best results.Authorizations
Username = api_key_id, Password = api_key_secret
Query Parameters
Free-text search filter. For best results, use the payroll platform or employer's full name.
Filter by Item ID. Multiple Item IDs can also be searched at once using either method:
/v2/items?id=item_000000001,item_000000002/v2/items?id=item_000000001&id=item_000000002
Filter by kind value.
Filter by status value.
Multiple status values can also be searched at once using either method:
/v2/items?status=healthy,issues/v2/items?status=healthy&status=issues
Filtering by both healthy and issues will return all Items that currently support new payroll connections.
Filter by mapping_status value.
Multiple mapping_status values can also be searched at once using either method:
/v2/items?mapping_status=verified,mapped/v2/items?mapping_status=verified&mapping_status=mapped
Only returns items with a matching_score greater than or equal to this value.
min_matching_score should be used together with the q "free-text search" query parameter.
Filter by Item filter ID.